Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class DoubleListUIBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean
                  org.apache.struts2.components.DoubleListUIBean

Direct Known Subclasses:
  DoubleSelect, OptionTransferSelect

    public abstract class DoubleListUIBean

extends ListUIBean

DoubleListUIBean is the standard superclass of all Struts double list handling components.

Note that the doublelistkey and doublelistvalue attribute will default to "key" and "value" respectively only when the doublelist attribute is evaluated to a Map or its decendant. Other thing else, will result in doublelistkey and doublelistvalue to be null and not used.

Field Summary
`protected java.lang.String` | `doubleAccesskey`
`protected java.lang.String` | `doubleCssClass`
`protected java.lang.String` | `doubleCssStyle`
`protected java.lang.String` | `doubleDisabled`
`protected java.lang.String` | `doubleEmptyOption`
`protected java.lang.String` | `doubleHeaderKey`
`protected java.lang.String` | `doubleHeaderValue`
`protected java.lang.String` | `doubleId`
`protected java.lang.String` | `doubleList`
`protected java.lang.String` | `doubleListKey`
`protected java.lang.String` | `doubleListValue`
`protected java.lang.String` | `doubleMultiple`
`protected java.lang.String` | `doubleName`
`protected java.lang.String` | `doubleOnblur`
`protected java.lang.String` | `doubleOnchange`
`protected java.lang.String` | `doubleOnclick`
`protected java.lang.String` | `doubleOndblclick`
`protected java.lang.String` | `doubleOnfocus`
`protected java.lang.String` | `doubleOnkeydown`
`protected java.lang.String` | `doubleOnkeypress`
`protected java.lang.String` | `doubleOnkeyup`
`protected java.lang.String` | `doubleOnmousedown`
`protected java.lang.String` | `doubleOnmousemove`
`protected java.lang.String` | `doubleOnmouseout`
`protected java.lang.String` | `doubleOnmouseover`
`protected java.lang.String` | `doubleOnmouseup`
`protected java.lang.String` | `doubleOnselect`
`protected java.lang.String` | `doubleSize`
`protected java.lang.String` | `doubleValue`
`protected java.lang.String` | `emptyOption`
`protected java.lang.String` | `formName`
`protected java.lang.String` | `headerKey`
`protected java.lang.String` | `headerValue`
`protected java.lang.String` | `multiple`
`protected java.lang.String` | `size`

Fields inherited from class org.apache.struts2.components.ListUIBean
`list, listKey, listValue, throwExceptionOnNullValueAttribute`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, parameters, stack, throwExceptionOnELFailure`

Constructor Summary
`DoubleListUIBean(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`java.lang.String` | `getDoubleCssClass()`
`java.lang.String` | `getDoubleCssStyle()`
`java.lang.String` | `getDoubleDisabled()`
`java.lang.String` | `getDoubleEmptyOption()`
`java.lang.String` | `getDoubleHeaderKey()`
`java.lang.String` | `getDoubleHeaderValue()`
`java.lang.String` | `getDoubleId()`
`java.lang.String` | `getDoubleList()`
`java.lang.String` | `getDoubleListKey()`
`java.lang.String` | `getDoubleListValue()`
`java.lang.String` | `getDoubleMultiple()`
`java.lang.String` | `getDoubleName()`
`java.lang.String` | `getDoubleOnblur()`
`java.lang.String` | `getDoubleOnchange()`
`java.lang.String` | `getDoubleOnclick()`
`java.lang.String` | `getDoubleOndblclick()`
`java.lang.String` | `getDoubleOnfocus()`
`java.lang.String` | `getDoubleOnkeydown()`
`java.lang.String` | `getDoubleOnkeypress()`
`java.lang.String` | `getDoubleOnkeyup()`
`java.lang.String` | `getDoubleOnmousedown()`
`java.lang.String` | `getDoubleOnmousemove()`
`java.lang.String` | `getDoubleOnmouseout()`
`java.lang.String` | `getDoubleOnmouseover()`
`java.lang.String` | `getDoubleOnmouseup()`
`java.lang.String` | `getDoubleOnselect()`
`java.lang.String` | `getDoubleSize()`
`java.lang.String` | `getDoubleValue()`
`java.lang.String` | `getFormName()`
`void` | `setDoubleAccesskey(java.lang.String doubleAccesskey)`
`void` | `setDoubleCssClass(java.lang.String doubleCssClass)`
`void` | `setDoubleCssStyle(java.lang.String doubleCssStyle)`
`void` | `setDoubleDisabled(java.lang.String doubleDisabled)`
`void` | `setDoubleEmptyOption(java.lang.String doubleEmptyOption)`
`void` | `setDoubleHeaderKey(java.lang.String doubleHeaderKey)`
`void` | `setDoubleHeaderValue(java.lang.String doubleHeaderValue)`
`void` | `setDoubleId(java.lang.String doubleId)`
`void` | `setDoubleList(java.lang.String doubleList)`
`void` | `setDoubleListKey(java.lang.String doubleListKey)`
`void` | `setDoubleListValue(java.lang.String doubleListValue)`
`void` | `setDoubleMultiple(java.lang.String doubleMultiple)`
`void` | `setDoubleName(java.lang.String doubleName)`
`void` | `setDoubleOnblur(java.lang.String doubleOnblur)`
`void` | `setDoubleOnchange(java.lang.String doubleOnchange)`
`void` | `setDoubleOnclick(java.lang.String doubleOnclick)`
`void` | `setDoubleOndblclick(java.lang.String doubleOndblclick)`
`void` | `setDoubleOnfocus(java.lang.String doubleOnfocus)`
`void` | `setDoubleOnkeydown(java.lang.String doubleOnkeydown)`
`void` | `setDoubleOnkeypress(java.lang.String doubleOnkeypress)`
`void` | `setDoubleOnkeyup(java.lang.String doubleOnkeyup)`
`void` | `setDoubleOnmousedown(java.lang.String doubleOnmousedown)`
`void` | `setDoubleOnmousemove(java.lang.String doubleOnmousemove)`
`void` | `setDoubleOnmouseout(java.lang.String doubleOnmouseout)`
`void` | `setDoubleOnmouseover(java.lang.String doubleOnmouseover)`
`void` | `setDoubleOnmouseup(java.lang.String doubleOnmouseup)`
`void` | `setDoubleOnselect(java.lang.String doubleOnselect)`
`void` | `setDoubleSize(java.lang.String doubleSize)`
`void` | `setDoubleValue(java.lang.String doubleValue)`
`void` | `setEmptyOption(java.lang.String emptyOption)`
`void` | `setFormName(java.lang.String formName)`
`void` | `setHeaderKey(java.lang.String headerKey)`
`void` | `setHeaderValue(java.lang.String headerValue)`
`void` | `setMultiple(java.lang.String multiple)`
`void` | `setSize(java.lang.String size)`

Methods inherited from class org.apache.struts2.components.ListUIBean
`contains, getValueClassType, setList, setListKey, setListValue, setThrowExceptionOnNullValueAttribute`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, popComponentStack, setActionMapper, setThrowExceptionsOnELFailure, start, stripExpressionIfAltSyntax, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emptyOption

    protected java.lang.String emptyOption

### headerKey

    protected java.lang.String headerKey

### headerValue

    protected java.lang.String headerValue

### multiple

    protected java.lang.String multiple

### size

    protected java.lang.String size

### doubleList

    protected java.lang.String doubleList

### doubleListKey

    protected java.lang.String doubleListKey

### doubleListValue

    protected java.lang.String doubleListValue

### doubleName

    protected java.lang.String doubleName

### doubleValue

    protected java.lang.String doubleValue

### formName

    protected java.lang.String formName

### doubleId

    protected java.lang.String doubleId

### doubleDisabled

    protected java.lang.String doubleDisabled

### doubleMultiple

    protected java.lang.String doubleMultiple

### doubleSize

    protected java.lang.String doubleSize

### doubleHeaderKey

    protected java.lang.String doubleHeaderKey

### doubleHeaderValue

    protected java.lang.String doubleHeaderValue

### doubleEmptyOption

    protected java.lang.String doubleEmptyOption

### doubleCssClass

    protected java.lang.String doubleCssClass

### doubleCssStyle

    protected java.lang.String doubleCssStyle

### doubleOnclick

    protected java.lang.String doubleOnclick

### doubleOndblclick

    protected java.lang.String doubleOndblclick

### doubleOnmousedown

    protected java.lang.String doubleOnmousedown

### doubleOnmouseup

    protected java.lang.String doubleOnmouseup

### doubleOnmouseover

    protected java.lang.String doubleOnmouseover

### doubleOnmousemove

    protected java.lang.String doubleOnmousemove

### doubleOnmouseout

    protected java.lang.String doubleOnmouseout

### doubleOnfocus

    protected java.lang.String doubleOnfocus

### doubleOnblur

    protected java.lang.String doubleOnblur

### doubleOnkeypress

    protected java.lang.String doubleOnkeypress

### doubleOnkeydown

    protected java.lang.String doubleOnkeydown

### doubleOnkeyup

    protected java.lang.String doubleOnkeyup

### doubleOnselect

    protected java.lang.String doubleOnselect

### doubleOnchange

    protected java.lang.String doubleOnchange

### doubleAccesskey

    protected java.lang.String doubleAccesskey

Constructor Detail

### DoubleListUIBean

    public DoubleListUIBean(ValueStack stack,
                            javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `ListUIBean`

### setDoubleList

    public void setDoubleList(java.lang.String doubleList)

### setDoubleListKey

    public void setDoubleListKey(java.lang.String doubleListKey)

### setDoubleListValue

    public void setDoubleListValue(java.lang.String doubleListValue)

### setDoubleName

    public void setDoubleName(java.lang.String doubleName)

### setDoubleValue

    public void setDoubleValue(java.lang.String doubleValue)

### setFormName

    public void setFormName(java.lang.String formName)

### getFormName

    public java.lang.String getFormName()

### setDoubleCssClass

    public void setDoubleCssClass(java.lang.String doubleCssClass)

### getDoubleCssClass

    public java.lang.String getDoubleCssClass()

### setDoubleCssStyle

    public void setDoubleCssStyle(java.lang.String doubleCssStyle)

### getDoubleCssStyle

    public java.lang.String getDoubleCssStyle()

### setDoubleHeaderKey

    public void setDoubleHeaderKey(java.lang.String doubleHeaderKey)

### getDoubleHeaderKey

    public java.lang.String getDoubleHeaderKey()

### setDoubleHeaderValue

    public void setDoubleHeaderValue(java.lang.String doubleHeaderValue)

### getDoubleHeaderValue

    public java.lang.String getDoubleHeaderValue()

### setDoubleEmptyOption

    public void setDoubleEmptyOption(java.lang.String doubleEmptyOption)

### getDoubleEmptyOption

    public java.lang.String getDoubleEmptyOption()

### getDoubleDisabled

    public java.lang.String getDoubleDisabled()

### setDoubleDisabled

    public void setDoubleDisabled(java.lang.String doubleDisabled)

### getDoubleId

    public java.lang.String getDoubleId()

### setDoubleId

    public void setDoubleId(java.lang.String doubleId)

### getDoubleMultiple

    public java.lang.String getDoubleMultiple()

### setDoubleMultiple

    public void setDoubleMultiple(java.lang.String doubleMultiple)

### getDoubleOnblur

    public java.lang.String getDoubleOnblur()

### setDoubleOnblur

    public void setDoubleOnblur(java.lang.String doubleOnblur)

### getDoubleOnchange

    public java.lang.String getDoubleOnchange()

### setDoubleOnchange

    public void setDoubleOnchange(java.lang.String doubleOnchange)

### getDoubleOnclick

    public java.lang.String getDoubleOnclick()

### setDoubleOnclick

    public void setDoubleOnclick(java.lang.String doubleOnclick)

### getDoubleOndblclick

    public java.lang.String getDoubleOndblclick()

### setDoubleOndblclick

    public void setDoubleOndblclick(java.lang.String doubleOndblclick)

### getDoubleOnfocus

    public java.lang.String getDoubleOnfocus()

### setDoubleOnfocus

    public void setDoubleOnfocus(java.lang.String doubleOnfocus)

### getDoubleOnkeydown

    public java.lang.String getDoubleOnkeydown()

### setDoubleOnkeydown

    public void setDoubleOnkeydown(java.lang.String doubleOnkeydown)

### getDoubleOnkeypress

    public java.lang.String getDoubleOnkeypress()

### setDoubleOnkeypress

    public void setDoubleOnkeypress(java.lang.String doubleOnkeypress)

### getDoubleOnkeyup

    public java.lang.String getDoubleOnkeyup()

### setDoubleOnkeyup

    public void setDoubleOnkeyup(java.lang.String doubleOnkeyup)

### getDoubleOnmousedown

    public java.lang.String getDoubleOnmousedown()

### setDoubleOnmousedown

    public void setDoubleOnmousedown(java.lang.String doubleOnmousedown)

### getDoubleOnmousemove

    public java.lang.String getDoubleOnmousemove()

### setDoubleOnmousemove

    public void setDoubleOnmousemove(java.lang.String doubleOnmousemove)

### getDoubleOnmouseout

    public java.lang.String getDoubleOnmouseout()

### setDoubleOnmouseout

    public void setDoubleOnmouseout(java.lang.String doubleOnmouseout)

### getDoubleOnmouseover

    public java.lang.String getDoubleOnmouseover()

### setDoubleOnmouseover

    public void setDoubleOnmouseover(java.lang.String doubleOnmouseover)

### getDoubleOnmouseup

    public java.lang.String getDoubleOnmouseup()

### setDoubleOnmouseup

    public void setDoubleOnmouseup(java.lang.String doubleOnmouseup)

### getDoubleOnselect

    public java.lang.String getDoubleOnselect()

### setDoubleOnselect

    public void setDoubleOnselect(java.lang.String doubleOnselect)

### getDoubleSize

    public java.lang.String getDoubleSize()

### setDoubleSize

    public void setDoubleSize(java.lang.String doubleSize)

### getDoubleList

    public java.lang.String getDoubleList()

### getDoubleListKey

    public java.lang.String getDoubleListKey()

### getDoubleListValue

    public java.lang.String getDoubleListValue()

### getDoubleName

    public java.lang.String getDoubleName()

### getDoubleValue

    public java.lang.String getDoubleValue()

### setEmptyOption

    public void setEmptyOption(java.lang.String emptyOption)

### setHeaderKey

    public void setHeaderKey(java.lang.String headerKey)

### setHeaderValue

    public void setHeaderValue(java.lang.String headerValue)

### setMultiple

    public void setMultiple(java.lang.String multiple)

### setSize

    public void setSize(java.lang.String size)

### setDoubleAccesskey

    public void setDoubleAccesskey(java.lang.String doubleAccesskey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.